Subject: Re: tk800 on perl 5.8.0 (1.3.22)
From: "Bruce Dobrin" <[email-masked]>
To: <[email-masked]>
Cc: "Elfyn McBratney" <[email-masked]>, <[email-masked]>
Date: Fri, 2 May 2003 18:17:42 -0700

Elfyn

I tried that,  but rebaseall -v still didn't seem to include Menubutton.dll.
I'm not sure how it figures out what to rebase...  I used 0x0000007 because
the documentation claimed that was the address used by default by
rebaseall... I probably don't really  fully understand how the whole thing
works though,  so It wouldn't surprise me if that wasn't the best way to
handle it.

Bruce

----- Original Message ----- 
From: "Igor Pechtchanski" <[email-masked]>
To: "Bruce Dobrin" <[email-masked]>
Cc: "Elfyn McBratney" <[email-masked]>; <[email-masked]>
Sent: Friday, May 02, 2003 4:39 PM
Subject: Re: tk800 on perl 5.8.0 (1.3.22)

> On Fri, 2 May 2003, Bruce Dobrin wrote:
>
> > rebaseall
> > chmod -R 777 /lib/perl5/*
> > rebase -b 0x0000007 /lib/perl5/......../Menubutton/Menubutton.dll
>
> Bruce,
>
> Wouldn't
>
> chmod -R 777 /lib/perl5/*
> rebaseall
>
> be easier?  And safer, since 0x0000007 is an address peculiar to your
> system, and other systems might have different addresses for
> Menubutton.dll?
> Igor
>
> On Fri, 2 May 2003, Bruce Dobrin wrote:
>
> > OK,  I guess that was the problem,  though the solution was more painful
> > than expected I'll include what I did for the next person who tries it:
> >
> > I did a rebaseall -v and it rebased the IO.dll that was erroring
> > previously....  now it is failing similarly on a different dll
> > "Menubutton.dll" which was not rebased by rebaseall
> >
> > next:
> > rebase -b 0x0000007 /lib/......../Menubutton/Menubutton.dll
> > Menubutton.dll skipped because it's not writeable
> >
> > chmod -R 777 /lib/perl5/*
> > rebase -b 0x0000007 /lib/perl5/......../Menubutton/Menubutton.dll
> >
> > Now it all works........
> >
> > summary:
> >
> > to get tk800.024 to work on perl5.8.0 with cygwin 1.23.22
> >
> > get tk-800.024 from cpan.org
> > apply patch from
> > http://home.att.net/~perlspinr/diffs/Tk800_024_unofficial-patch.zip
> > perl Makefile.pl
> > make
> > make test
> > make install
> > rebaseall
> > chmod -R 777 /lib/perl5/*
> > rebase -b 0x0000007 /lib/perl5/......../Menubutton/Menubutton.dll
> >
> > Thank you Elfyn
> >
> >
> > ----- Original Message -----
> > From: "Elfyn McBratney" <[email-masked]>
> > To: "cygwin" <[email-masked]>; "Bruce Dobrin" <[email-masked]>
> > Sent: Friday, May 02, 2003 3:14 PM
> > Subject: Re: tk800 on perl 5.8.0 (1.3.22)
> >
> >
> > > > Hi,
> > > > Previousley I have been using tk800.24 on cygwin which built fine
> > > > against
> > > > 1.3.20 and perl5.6.1 and before, using a patch from
> > > > http://home.att.net/~perlspinr/perlproj/pTk/   .  Since upgrading to
the
> > > > newer versions (cygwin 1.3.22) I have been having a terrible time
trying
> > > > to
> > > > get it to work as well as the previous version.  I tried patching it
> > > > with
> > > > the patch from Alan Miles
> > > > (http://sources.redhat.com/ml/cygwin/2003-04/msg00504.html) but
could
> > > > not
> > > > get the patch to apply correctly...  Does anyone have a patched
tk800
> > > > which
> > > > works with 1.3.22 versions or a patched verision of the source?  or
> > > > another
> > > > suggestion?  I tried applying the
> > > > http://home.att.net/~perlspinr/diffs/Tk800_024_unofficial-patch.zip
> > > > patch
> > > > and it sort of works except now I get this error when I launch a
perltk
> > > > program from a cmd window:
> > > >
> > > > C:\spi\bin>perl monselect ( a perltk program)
> > > > monselect.pm got:
> > > > Mode: nonered1c:\cygwin\bin\perl.exe: *** unable to remap
> > > > C:\cygwin\lib\perl5\5.8.0\cygwin-multi-64int\auto\IO\IO.dll to
> > > >  same address as parent(0x12F0000) != 0x1780000
> > > > c:\cygwin\bin\perl.exe: *** unable to remap
> > > > C:\cygwin\lib\perl5\5.8.0\cygwin-multi-64int\auto\IO\IO.dll to same
> > > > address
> > > > as parent(0x12F0000) != 0x1780000
> > > >       5 [main] perl 2496 sync_with_child: child 3404(0x640) died
before
> > > > initialization with status code 0x1
> > > >    5641 [main] perl 2496 sync_with_child: *** child state child
loading
> > > > dlls
> > > >
> > > > I'm afraid that my understanding to windows cmd and perl and cygwin
is
> > > > not
> > > > deep enough to how to fix that since the same program runs fine from
cmd
> > > > window in 1.3.20 perl5.6.1 and from cygwin rxvt/tcsh window in
1.3.22
> > > > and
> > > > perl5.8.0.
> > >
> > > That's a rebase issue. If you don't have the rebase package installed
> > > (`cygcheck -c rebase'), download/install it, and read
> > > /usr/doc/rebase-V.README (where 'V' is the version). It will give you
> > > directions on rebasing your Cygwin DLLs.
> > >
> > > Elfyn
>
> -- 
> http://cs.nyu.edu/~pechtcha/
>       |\      _,,,---,,_ [email-masked]
> ZZZzz /,`.-'`'    -.  ;-;;,_ [email-masked]
>      |,4-  ) )-,_. ,\ (  `'-' Igor Pechtchanski
>     '---''(_/--'  `-'\_) fL a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!
>
> Knowledge is an unending adventure at the edge of uncertainty.
>   -- Leto II
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/